Last Comment Bug 364263 - Create mozilla.com localizer SVN account for Jesper Kristensen
: Create mozilla.com localizer SVN account for Jesper Kristensen
Status: RESOLVED FIXED
:
Product: mozilla.org
Classification: Other
Component: Repository Account Requests (show other bugs)
: other
: All All
: -- major (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
:
Mentors:
Depends on:
Blocks: 356627
  Show dependency treegraph
 
Reported: 2006-12-18 12:56 PST by Pascal Chevrel:pascalc(PTO until Sept 2)
Modified: 2010-05-09 14:52 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
public ssh key (464 bytes, text/plain)
2006-12-18 12:57 PST, Pascal Chevrel:pascalc(PTO until Sept 2)
no flags Details

Description Pascal Chevrel:pascalc(PTO until Sept 2) 2006-12-18 12:56:38 PST
Create SVN account for :

Name: Jesper Kristensen
Locale: dk
email: mail@jesperkristensen.dk
SSH key: attached

This user will need subversion privs set for :
"projects/mozilla.com/trunk/{locale}".
Comment 1 Pascal Chevrel:pascalc(PTO until Sept 2) 2006-12-18 12:57:45 PST
Created attachment 249032 [details]
public ssh key
Comment 2 Jeremy Orem [:oremj] 2006-12-21 13:52:32 PST
Created account with your new key.

For anonymous browsing and checkout, use http://svn.mozilla.org

The svn url for locale related checkins/checkouts will be
svn+ssh://svn.mozilla.org/projects/mozilla.com/trunk/{locale}/

Your e-mail address will be your svn login as well.  You can pass this
user name directly on the svn url in the command line, but some svn
clients get confused with commands like this.  In the example below
substitute 'email@host.tld' with your e-mail address.

svn co svn+ssh://email@host.tld@svn.mozilla.org/blah

They interpret 'host.tld' to be the svn repository host name and
svn.mozilla.org to be the revision.  In unix environments, to get
around this (client confusion), put this in your ~/.ssh/config

Host svn.mozilla.org
User email@host.tld

Then, you can simply use "svn co svn+ssh://svn.mozilla.org/blah"

Please refer to copious google search results to get this working on
non-unix platforms.
Comment 3 Jesper Kristensen 2007-01-17 14:59:59 PST
I cannot get it to work. I tried asking here: http://forums.mozillazine.org/viewtopic.php?p=2664101#2664101 but got no answer. Where should I ask for help?
Comment 4 Reed Loden [:reed] (use needinfo?) 2007-01-18 00:08:35 PST
(In reply to comment #3)
> I cannot get it to work. I tried asking here:
> http://forums.mozillazine.org/viewtopic.php?p=2664101#2664101 but got no
> answer. Where should I ask for help?

You should ask for help here. Try using plink to just connect to svn.mozilla.org using username "mail@jesperkristensen.dk". What do you get?
Comment 5 Jesper Kristensen 2007-01-18 01:09:07 PST
I get this:

Microsoft Windows XP [Version 5.1.2600]
(C) Copyright 1985-2001 Microsoft Corp.

C:\Documents and Settings\Jesper>set PATH=C:\Program Files\PuTTY;%PATH%

C:\Documents and Settings\Jesper>plink mail@jesperkristensen.dk@svn.mozilla.org
Using username "mail@jesperkristensen.dk".
No supported authentication methods left to try!

C:\Documents and Settings\Jesper>
Comment 6 Jesper Kristensen 2007-04-24 03:43:40 PDT
This bug seems to have gone cold. Now I am also localizing AMO, and to get AMO localizer SVN access requires mozilla.com localizer SVN access. I would appreciate  if this bug could be fixed in the near future. The server is still rejecting my key, saying that is doesn't know it.
Comment 7 Reed Loden [:reed] (use needinfo?) 2007-04-24 08:47:10 PDT
(In reply to comment #6)
> This bug seems to have gone cold.

That's because it is resolved as fixed. Reopening the bug would have caught somebody's attention. I am doing that for you now.
Comment 8 Jeremy Orem [:oremj] 2007-04-26 10:37:32 PDT
We support svn over https now.  Maybe you should give that a try.
Comment 9 Jesper Kristensen 2007-04-26 11:04:18 PDT
Great. I tested it by correcting the Thunderbird start page to link to the Danish version of AMO, and it worked.

Who should I talk to, to get any updates published?
Comment 10 Jeremy Orem [:oremj] 2007-04-29 15:09:19 PDT
Mike, can you answer this question for him?
Comment 11 Wil Clouser [:clouserw] 2007-04-29 15:38:39 PDT
If you have updates to mozilla.com that need to go out right away, you should talk to pascalc.

If you have an update for AMO that needs to go out right away, you can talk to me.

Note You need to log in before you can comment on or make changes to this bug.